> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Box

> Integrate your application with the Box API

## 🚀 Quickstart

Connect to Box with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Box*.

> [!NOTE]
>
> Nango has a [Nango-managed OAuth app](https://nango.dev/docs/guides/auth/auth-guide.md#nango-managed-oauth-apps) you can use in development and production. Select it when you create the integration.

**2. Authorize Box**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Box. Later, you'll let your users do the same directly from your app.

**3. Call the Box API**

Let's make your first request to the Box API (fetch the profile of the currently signed-in user). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/2.0/users/me" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/2.0/users/me',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To use your own OAuth app instead of the Nango-managed one, follow the setup guide linked below.

## 📚 Box Integration Guides

Nango maintained guides for common use cases.

* [How to register your own Box OAuth app](https://nango.dev/docs/api-integrations/box/how-to-register-your-own-box-api-oauth-app)\
  Register an OAuth app with Box and obtain credentials to connect it to Nango

Official docs: [Box API docs](https://developer.box.com/reference)

## 🧩 Pre-built syncs & tools for Box

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Files

| Function name | Description | Type |
| - | - | - |
| `files` | Sync the metadata of specified files or folder paths from Box. A file or folder ID can be provided. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

### Users

| Function name | Description | Type |
| - | - | - |
| `users` | Fetches a list of users from Box. Requires an enterprise account. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

### Others

| Function name | Description | Type |
| - | - | - |
| `copy-file` | Copy a file to a different folder in Box. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `copy-folder` | Copy a folder and its contents to a different location in Box. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-collaboration` | Create a collaboration in Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-comment` | Create a comment in Box. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-folder` | Create a folder in Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-user` | Creates a user in Box. Requires an enterprise account. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-collaboration` | Delete or archive a collaboration in Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-comment` | Delete or archive a comment in Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-user` | Deletes a user in Box. Requires an enterprise account. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-file` | Delete or archive a file in Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-folder` | Delete or archive a folder in Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `download-file` | Download file content from Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `folder-content` | Fetches the top-level content (files and folders) of a folder given its ID. If no folder ID is provided, it fetches content from the root folder. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-collaboration` | Retrieve a single collaboration from Box. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-comment` | Retrieve a single comment from Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-file` | Retrieve a single file from Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-folder` | Retrieve a single folder from Box. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-user` | Retrieve a single user from Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-collaborations` | List collaborations from Box. Retrieves pending collaboration invites for this user. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-comments` | List comments for a file | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-files` | List files from Box. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-folders` | List folders from Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `search` | Search for files, folders, and other content in Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-collaboration` | Update a collaboration in Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-comment` | Update a comment in Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-file` | Update a file in Box. This can be used to rename or move a file. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-folder` | Update a folder in Box. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-user` | Update a user in Box | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `collaborations` | Sync collaborations from Box | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `folders` | Sync folders from Box | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.